Subject: bug#52413: 28.0.90; load file wrong in Emacs 28 when using find-file-visit-truename

From: Eli Zaretskii <[email-masked]>
Date: Fri, 10 Dec 2021 22:42:23 +0200

> From: No Wayman <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 10 Dec 2021 15:23:45 -0500
> 
> > That bug is about package.el.  Are we sure this bug is also 
> > about
> > something related to package.el?  The Subject says "load file 
> > wrong",
> > which doesn't necessarily alludes to package installation via
> > package.el.
> 
> I saw this user post a support thread on Reddit and gave them 
> advice to work around it based off the open issue we have at 
> striaght.el's tracker.
> I advised them to add to the issue if they had any more 
> information.
> They do not appear to have any more information other than "this 
> affects me, too".
> Another user in the straight.el issue thread encouraged them to 
> re-report the bug here (I advised against this, but apparently too 
> late).
> They have linked to both issues in their report.
> This is their first bug report and I believe they are describing 
> the same issue as bug #52292 with different wording.

So the only use case where this problem appears is when a package is
installed by package.el and later loaded?